﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{41C0B4E3-CBFD-4D77-BA2A-4619BCA5B579}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SharedCode.Localization</RootNamespace>
    <AssemblyName>SharedCode.Localization</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AppStrings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>AppStrings.resx</DependentUpon>
    </Compile>
    <Compile Include="ILanguageModel.cs" />
    <Compile Include="LanguageModel.cs" />
    <Compile Include="LanguageService.cs" />
    <Compile Include="LanguageStrings.de.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LanguageStrings.de.resx</DependentUpon>
    </Compile>
    <Compile Include="LanguageStrings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LanguageStrings.resx</DependentUpon>
    </Compile>
    <Compile Include="LanguageStrings.en.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>LanguageStrings.en.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="AppStrings.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>AppStrings.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="LanguageStrings.de.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>LanguageStrings.de.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="LanguageStrings.en.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>LanguageStrings.en.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="LanguageStrings.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>LanguageStrings.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>